// chapitre 5 comparaison chaîne.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

#include <iostream>
#include <string>
using namespace std;

int main(int argc, char* argv[])
{
	string a="Piano";
	string b="Pianissimo";

	cout << boolalpha;
	cout << a.compare(b) << endl;		// affiche 1
	cout << a.compare("Forte") << endl;	// affiche 1
	
	cout << (a<b) << endl;				// affiche true
	
	string s="Fort";
	s+="isimo";
	cout << "s=" << s << endl;	// affiche Fortisimo
	s.insert(5,"s");
	cout << "s=" << s << endl;	// affiche Fortissimo

	string tonalite;
	string ton="la ";
	ton=ton+'b';
	string maj="majeur";
	tonalite=ton+maj;
	cout << tonalite << endl; // affiche la b majeur
	return 0;
}

